@echo off

@echo ============================================================
@echo Make test image
del test.dat
@echo 1 3 6 3 6 3 6 3 6 6 3 6 3 6 3 6 3 3 6 3 6 3 6 3 6 6 3 6 3 6 3 6 3 3 6 3 6 3 6 3 6 6 3 6 3 6 3 6 3 3 6 3 6 3 6 3 6 6 3 6 3 6 3 6 3 > test.dat
dft2img_1_6_0 -s=hr+ -d=64 -nodecay test.dat plane1.v
if not %errorlevel%==0 goto FAILED
@echo 1 6 3 6 3 6 3 6 3 6 6 3 6 3 6 3 6 3 3 6 3 6 3 6 3 6 6 3 6 3 6 3 6 3 3 6 3 6 3 6 3 6 6 3 6 3 6 3 6 3 3 6 3 6 3 6 3 6 6 3 6 3 6 3 6 > test.dat
dft2img_1_6_0 -s=hr+ -d=64 -nodecay test.dat plane2.v
if not %errorlevel%==0 goto FAILED
ecatadd_1_3_0 plane1.v plane2.v frame1.v
if not %errorlevel%==0 goto FAILED
ecatcalc_1_5_0 frame1.v . 1.5 frame2.v
if not %errorlevel%==0 goto FAILED
ecatcat_3_2_0 frame1.v frame2.v ecat7.v
if not %errorlevel%==0 goto FAILED
ecat2tif_3_6_0 -rb -f=1 ecat7.v ecat7.tif
@echo Original image: ecat7.v

@echo.
del header.ift
@echo Make header file
@echo patient_name := Einstein Albert > header.ift
@echo radiopharmaceutical := O-15 WATER >>header.ift
@echo study_description := brain scan >>header.ift
@echo facility_name := Turku PET Centre >>header.ift

@echo.
@echo Edit the image
del edited.v
copy ecat7.v edited.v
@echo on
..\e7emhdr edited.v header.ift
@echo off
if not %errorlevel%==0 goto FAILED
ecat2tif_3_6_0 -rb -f=1 edited.v edited.tif
@echo Edited image: edited.v
@echo.

@echo New header contents:
del newheader.ift
lmhdr_2_2_0 edited.v > newheader.ift
type newheader.ift

iftisval_1_0_2 newheader.ift patient_name "Einstein Albert"
if not %errorlevel%==0 goto FAILED
iftisval_1_0_2 newheader.ift radiopharmaceutical "O-15 WATER"
if not %errorlevel%==0 goto FAILED
iftisval_1_0_2 newheader.ift study_description "brain scan"
if not %errorlevel%==0 goto FAILED
iftisval_1_0_2 newheader.ift facility_name "Turku PET Centre"
if not %errorlevel%==0 goto FAILED
@echo.



:ALL_PASSED
@echo =============================================================
@echo.
@echo All tests passed!
@echo.
goto END
:FAILED
@echo.
@echo Failed!
@echo.
:END
@echo =============================================================
@echo.


